View Issue Details

IDProjectCategoryView StatusLast Update
0006483Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006483: auditor tests leave services running when something fails
DescriptionThe test cases should always quit cleanly, unless explicitly asked to keep things running.
Additional InformationAfter test quit (with status skipped):

$ ps xu | grep taler
dold 2105846 0.1 0.2 89884 46548 pts/6 S 16:42 0:00 uwsgi --static-map /static=/home/dold/.local/lib/python3.8/site-packages/talerbank/app/static --die-on-term --no-orphans --master --http :8082 --log-format %(ltime) %(proto) %(method) %(uri) %(proto) => %(status) --module talerbank.wsgi
dold 2105847 0.0 0.0 315668 10616 pts/6 Sl 16:42 0:00 taler-exchange-httpd -c generate-auditor-basedb-prod.conf
dold 2105848 0.0 0.0 98132 11428 pts/6 S 16:42 0:00 taler-merchant-httpd -c generate-auditor-basedb-prod.conf -L INFO
dold 2105849 0.0 0.0 97196 10656 pts/6 S 16:42 0:00 taler-exchange-wirewatch -c generate-auditor-basedb-prod.conf
dold 2105850 0.0 0.0 2313096 9008 pts/6 Sl 16:42 0:00 taler-auditor-httpd -c generate-auditor-basedb-prod.conf
dold 2106023 19.9 0.2 91700 38840 pts/6 S 16:42 1:03 uwsgi --static-map /static=/home/dold/.local/lib/python3.8/site-packages/talerbank/app/static --die-on-term --no-orphans --master --http :8082 --log-format %(ltime) %(proto) %(method) %(uri) %(proto) => %(status) --module talerbank.wsgi
dold 2106024 0.0 0.1 89884 31684 pts/6 S 16:42 0:00 uwsgi --static-map /static=/home/dold/.local/lib/python3.8/site-packages/talerbank/app/static --die-on-term --no-orphans --master --http :8082 --log-format %(ltime) %(proto) %(method) %(uri) %(proto) => %(status) --module talerbank.wsgi
dold 2106137 0.0 0.0 97196 10692 pts/6 S 16:42 0:00 taler-exchange-wirewatch -c generate-auditor-basedb-revocation.conf
dold 2108840 0.0 0.0 6296 2276 pts/11 S+ 16:47 0:00 grep --color=auto taler
TagsNo tags attached.

Activities

Christian Grothoff

2020-08-19 18:10

manager   ~0016664

Fixed in 1cd3f328..a84c61dd

Christian Grothoff

2021-09-02 18:14

manager   ~0018245

Fix committed to master branch.

Related Changesets

exchange: master a84c61dd

2020-08-19 18:03:45

Christian Grothoff

Details Diff
fix 0006483: ensure cleanup of processes on exit Affected Issues
0006483
mod - src/auditor/test-auditor.sh Diff File
mod - src/auditor/test-revocation.sh Diff File

Issue History

Date Modified Username Field Change
2020-08-14 13:24 Florian Dold New Issue
2020-08-14 13:24 Florian Dold Status new => assigned
2020-08-14 13:24 Florian Dold Assigned To => Christian Grothoff
2020-08-19 18:10 Christian Grothoff Status assigned => resolved
2020-08-19 18:10 Christian Grothoff Resolution open => fixed
2020-08-19 18:10 Christian Grothoff Fixed in Version => 0.8
2020-08-19 18:10 Christian Grothoff Note Added: 0016664
2020-08-19 18:10 Christian Grothoff Product Version => git (master)
2020-08-19 18:10 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master a84c61dd
2021-09-02 18:14 Christian Grothoff Note Added: 0018245